incubator-bluesky-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bill Stoddard <wgstodd...@gmail.com>
Subject ffmpeg license
Date Fri, 24 Jul 2009 12:21:47 GMT
Bluesky team...
Can you share your latest status with making Bluesky compliant with the 
Apache License?  I know one package you were interested in was ffmpeg. 
Have you seen this link?

http://ffmpeg.org/legal.html

"FFmpeg is licensed under the GNU Lesser General Public License (LGPL) 
version 2.1 or later. However, FFmpeg incorporates several optional 
modules that are covered by the GNU General Public License (GPL) version 
2 or later, notably libpostproc and libswscale. If those parts get used 
the GPL applies to all of FFmpeg."


Does bluesky need libpostproc and/or libswscale?  If not, then bluesky 
can dynamically link into ffmpeg and still be in compliance with the 
Apache License.

Bill

Mime
View raw message